For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • HRIS Guides
    • Introduction
  • HRIS Common Use Cases
    • Sync Deel users to identity providers
  • SCIM API
    • Overview
  • HRIS Endpoints
  • ATS Guides
    • Introduction
    • Getting started
    • Manage jobs
    • Manage candidates and applications
    • Webhooks
  • ATS Common Use Cases
    • From candidate to contract
  • ATS Endpoints
      • GETRetrieve a list of ATS job postings
      • GETRetrieve ATS job posting
      • GETRetrieve ATS job postings
LogoLogo
SupportDeel Home
ATS EndpointsAts Job Postings

Retrieve a list of ATS job postings

GET
/ats/job-boards/:job_board_id/job-postings
GET
/rest/v2/ats/job-boards/:job_board_id/job-postings
$curl -G https://api.letsdeel.com/rest/v2/ats/job-boards/95858e6b-3971-408c-97d6-73ca4fce10b7/job-postings \
> -H "Authorization: Bearer <token>" \
> -d cursor=cursor_value \
> -d limit=50
1{
2 "data": [
3 {
4 "id": "443a9b58-735c-4dc3-9744-589abb2dbe5f",
5 "job": {
6 "id": "5f3cbc4b-2c51-4b48-a2c5-141f581dbf8a",
7 "compensation": {
8 "id": "9a8b7c6d-5e4f-4321-abcd-9876543210ff",
9 "currency_iso_code": "USD",
10 "max_amount": 105000,
11 "min_amount": 85000
12 },
13 "job_locations": [
14 {
15 "id": "ae5ea0d8-300b-4027-9d14-0330ac5e527c",
16 "location": {
17 "id": "f61a2d36-2790-45d0-b9c9-988c6c234b9b",
18 "name": "France"
19 }
20 }
21 ],
22 "job_employment_types": [
23 {
24 "id": "33a13504-ec08-4f2a-98cf-64c0cc20f20b",
25 "employment_type": {
26 "id": "5ed1ab2a-395f-4cf1-854f-7aa060a31db3",
27 "name": "Temporary"
28 }
29 }
30 ],
31 "job_teams": [
32 {
33 "id": "53e4d5bb-65e3-42ff-ada7-65badeeb9d8f",
34 "team": {
35 "id": "127ee4e0-3776-46c8-8999-5e045e2ae1cf",
36 "name": "Product Design Team"
37 }
38 }
39 ],
40 "job_departments": [
41 {
42 "id": "092007cf-8e8b-4720-99a2-ec29a0824cce",
43 "department": {
44 "id": "8cec1556-8681-436c-a307-2af84ac1b66d",
45 "name": "Design"
46 }
47 }
48 ]
49 },
50 "title": "Product Designer",
51 "created_at": "2025-07-24T16:28:46.063Z",
52 "updated_at": "2025-07-25T10:11:12.613Z",
53 "publications": [
54 {
55 "id": "07e7f02c-e10f-4751-a1af-a7d110617e27",
56 "job_board": {
57 "id": "95858e6b-3971-408c-97d6-73ca4fce10b7"
58 },
59 "current_state": {
60 "id": "958e9211-5944-49df-a9df-af43967b233f",
61 "created_at": "2025-07-24T16:28:46.063Z",
62 "state_slug": "PUBLISHED_BASIC",
63 "created_by": "42d103ea-9367-432a-8e6f-7ab548eeddcd",
64 "error_message": "Publication failed due to invalid job board credentials"
65 }
66 }
67 ],
68 "richtext_description": "<p>Some description</p>",
69 "is_compensation_visible": false,
70 "application_form": {
71 "id": "6bfbc928-8d34-46a0-8bca-6503f0e7128c",
72 "title": "Standard Application"
73 }
74 }
75 ],
76 "has_more": false,
77 "next_cursor": "string",
78 "total_count": 1
79}

Returns a paginated list of job postings belonging to the specified job board. Results can be filtered using available query parameters. Token scopes: ats:read

Was this page helpful?
Previous

Retrieve ATS job posting

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

job_board_idstringRequiredformat: "uuid"
Job Board ID must be a valid UUID

Query parameters

cursorstringOptional

The cursor for pagination (optional)

limitintegerOptional1-100Defaults to 20

Maximum number of records returned in one response (optional)

Response

Successful operation.
datalist of objects
has_moreboolean
Indicates if there are more results available
next_cursorstring or null
Cursor for the next page of results
total_countinteger>=0
Total number of job postings

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/